import React, { useState } from 'react';
import style from './Console.module.scss';

export const Console = ({ isOpen, close }) => {
  const [output, setOutput] = useState('');

  const handleClear = () => {
    setOutput('');
  };

  if (isOpen) {
    return (
      <div className={style.console}>
        <div className={style.header}>
          <h2>Console</h2>
          <button onClick={handleClear}>Clear</button>
          <button onClick={close}>x</button>
        </div>
        <div className={style.out}>{output}</div>
        <textarea onChange={(event) => setOutput(event.target.value)} value={output} />
      </div>
    );
  } else {
    return null;
  }
};
